<?php
/*
Template Name: Native Noise Home
Author: Paul Seele
Author URI: http://www.nativenoise.co.za
*/
?>
<?php get_header() ?>
<!-- create a box to display recent posts -->
              <div class="recent-posts">
              <h3 align="center">LATEST POSTS</h3>
			  <?php
                  $recentPosts = new WP_Query();
                  $recentPosts->query('showposts=16');
              ?>
              <?php while ($recentPosts->have_posts()) : $recentPosts->the_post(); ?>
          <div id="post-<?php the_ID() ?>" class="<?php thematic_post_class(); ?>">
				<div class="entry-content">
					<?php childtheme_post_header() ?>
                    <a href="<?php echo the_permalink() ?>" title="<?php echo the_title(); ?>"><span class="slide-title"><?php echo the_title(); ?></span>
                    <img class="thumbnail" src="<?php if(get_post_meta($post->ID, 'thumbnail', $single = true)){echo get_post_meta($post->ID, 'thumbnail', $single = true);} else{bloginfo('url'); echo "/wp-content/themes/gallery/images/thumbnail-default.jpg";} ?>" width="170" height="170" title="<?php echo the_title(); ?>" alt="<?php echo the_title() ?>" /></a>
			</div><!-- .entry-content -->
            </div><!-- .post -->
              <?php endwhile ?>
              <div class="moreposts"><a href="<?php echo bloginfo('url') ?>/all-posts/" title="View all posts by Paul Seele on Native Noise">VIEW ALL POSTS</a></div>
              </div> <!-- close recent posts -->
              
              <div class="home-entry-content">
              <!-- create ad-minister banner zone -->
              <?php
  $args = array('position' => 'Home Page Top banner', 'description' => 'A banner ad on the home page. No wider than 530px', 'before' => ' 	<div class="ads-homepage">', 'after' => '</div>');
  do_action('ad-minister', $args); ?><!-- close ad-minister banner zone -->
  <!-- Add the page content -->
<?php while (have_posts()) : the_post(); ?>
<div id="post-<?php the_ID(); ?>" class="<?php thematic_post_class(); ?>">
<?php the_content(''.__('Read More <span class="meta-nav">&raquo;</span>', 'thematic').''); ?>
</div> <!-- Closes page content -->
<?php endwhile; ?>
			</div>

<!-- Show the three posts that are set to always display on the home page -->
  <div class="home-posts">
			 <?php query_posts('category_name=home-posts&showposts=0'); ?>
   <?php while ( have_posts() ) : the_post(); ?>
			<div id="post-<?php the_ID() ?>" class="<?php thematic_post_class() ?>">
				<div class="entry-content">
				<?php childtheme_post_header() ?>
	        	<a href="<?php echo the_permalink() ?>"><span class="slide-title"><?php echo the_title(); ?></span><img class="thumbnail" src="<?php if(get_post_meta($post->ID, 'thumbnail')){echo get_post_meta($post->ID, 'thumbnail', $single = true);} else{bloginfo('url'); echo "/wp-content/themes/gallery/images/thumbnail-default.jpg";} ?>" width="170" height="170" title="<?php echo the_title() ?>" alt="<?php echo the_title() ?>" /></a>
				</div>
			</div>
  <?php endwhile;?> 
              
              </div> <!-- close home posts -->

<?php get_footer() ?>
